<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| PHP-Fusion DropDown Men System
| Copyright  2006 Giuseppe Nichelini
| http://www.nichelini.it/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

if (file_exists(INFUSIONS."pfmenu/locale/".$settings['locale'].".php")) {
	include INFUSIONS."pfmenu/locale/".$settings['locale'].".php";
} else { include INFUSIONS."pfmenu/locale/English.php";}

// Infusion general information
$inf_title = $locale['PFM100'];
$inf_description = $locale['PFM101'];
$inf_version = $locale['PFM999'];
$inf_developer = "Nick56";
$inf_email = "giuseppe@nichelini.it";
$inf_weburl = "http://www.nichelini.it";

$inf_folder = "pfmenu"; // The folder in which the infusion resides.
$inf_admin_image = "pfmenu.gif"; // Leave blank to use the default image.
$inf_admin_panel = "pfm_admin.php"; // The admin panel filename if required.

$inf_link_name = ""; // if not required replace $locale['xxx103']; with "";
$inf_link_url = ""; // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_altertables = 1;
$inf_newtables = 1; // Number of new db tables to create or drop.
$inf_deldbrows = 0; // Number of db tables to delete data from.
$inf_insertdbrows = 16;


$inf_altertable_[1] = "settings ADD visible_navpanel TINYINT(1) default '1' NOT NULL";

$inf_newtable_[1] = "pfmenu (
  menu_id smallint(5) unsigned NOT NULL auto_increment,
  buttonlink varchar(255) NOT NULL default '',
  buttontarget varchar(20) NOT NULL default '',
  buttonname varchar(50) NOT NULL default '',
  buttonimage varchar(100) NOT NULL default '',
  buttonorder smallint(5) NOT NULL default '0',
  buttonvisibility tinyint(3) unsigned NOT NULL default '0',
  locale varchar(20) NOT NULL default '',
  fathermenu smallint(5) unsigned,
  menumaster char(1) NOT NULL default '',
  PRIMARY KEY  (menu_id)
) TYPE=MyISAM;";

$inf_droptable_[1] = "pfmenu";

$inf_insertdbrow_[1] = "pfmenu (`menu_id`, `buttonlink`, `buttontarget`, `buttonname`, `buttonimage`, `buttonorder`, `buttonvisibility`, `locale`, `fathermenu`, `menumaster`) VALUES (1, '#', '', 'Navigazione', '', 1, 0, 'Italian', '', 'x');";
$inf_insertdbrow_[2] = "pfmenu (`menu_id`, `buttonlink`, `buttontarget`, `buttonname`, `buttonimage`, `buttonorder`, `buttonvisibility`, `locale`, `fathermenu`, `menumaster`) VALUES (2, 'index.php', '', 'Home Page', '', 1, 0, 'Italian', '1', '');";
$inf_insertdbrow_[3] = "pfmenu (`menu_id`, `buttonlink`, `buttontarget`, `buttonname`, `buttonimage`, `buttonorder`, `buttonvisibility`, `locale`, `fathermenu`, `menumaster`) VALUES (3, 'SEP', '', '', '', 2, 0, 'Italian', '1', '');";
$inf_insertdbrow_[4] = "pfmenu (`menu_id`, `buttonlink`, `buttontarget`, `buttonname`, `buttonimage`, `buttonorder`, `buttonvisibility`, `locale`, `fathermenu`, `menumaster`) VALUES (4, 'articles.php', '', 'Articoli', '', 3, 0, 'Italian', '1', '');";
$inf_insertdbrow_[5] = "pfmenu (`menu_id`, `buttonlink`, `buttontarget`, `buttonname`, `buttonimage`, `buttonorder`, `buttonvisibility`, `locale`, `fathermenu`, `menumaster`) VALUES (5, 'news.php', '', 'ews', '', 4, 0, 'Italian', '1', '');";
$inf_insertdbrow_[6] = "pfmenu (`menu_id`, `buttonlink`, `buttontarget`, `buttonname`, `buttonimage`, `buttonorder`, `buttonvisibility`, `locale`, `fathermenu`, `menumaster`) VALUES (6, 'forum/index.php', '', 'Forum', '', 5, 0, 'Italian', '1', '');";
$inf_insertdbrow_[7] = "pfmenu (`menu_id`, `buttonlink`, `buttontarget`, `buttonname`, `buttonimage`, `buttonorder`, `buttonvisibility`, `locale`, `fathermenu`, `menumaster`) VALUES (7, 'weblinks.php', '', 'Siti WEB', '', 6, 0, 'Italian', '1', '');";
$inf_insertdbrow_[8] = "pfmenu (`menu_id`, `buttonlink`, `buttontarget`, `buttonname`, `buttonimage`, `buttonorder`, `buttonvisibility`, `locale`, `fathermenu`, `menumaster`) VALUES (8, 'news_cats.php', '', 'Categorie News', '', 7, 101, 'Italian', '1', '');";
$inf_insertdbrow_[9] = "pfmenu (`menu_id`, `buttonlink`, `buttontarget`, `buttonname`, `buttonimage`, `buttonorder`, `buttonvisibility`, `locale`, `fathermenu`, `menumaster`) VALUES (9, 'photogallery.php', '', 'Album Fotografico', '', 8, 0, 'Italian', '1', '');";
$inf_insertdbrow_[10] = "pfmenu (`menu_id`, `buttonlink`, `buttontarget`, `buttonname`, `buttonimage`, `buttonorder`, `buttonvisibility`, `locale`, `fathermenu`, `menumaster`) VALUES (10, 'search.php', '', 'Cerca', '', 9, 0, 'Italian', '1', '');";
$inf_insertdbrow_[11] = "pfmenu (`menu_id`, `buttonlink`, `buttontarget`, `buttonname`, `buttonimage`, `buttonorder`, `buttonvisibility`, `locale`, `fathermenu`, `menumaster`) VALUES (11, 'SEP', '', '', '', 10, 101, 'Italian', '1', '');";
$inf_insertdbrow_[12] = "pfmenu (`menu_id`, `buttonlink`, `buttontarget`, `buttonname`, `buttonimage`, `buttonorder`, `buttonvisibility`, `locale`, `fathermenu`, `menumaster`) VALUES (12, '#', '', 'Contributi', '', 11, 101, 'Italian', '1', 'x');";
$inf_insertdbrow_[13] = "pfmenu (`menu_id`, `buttonlink`, `buttontarget`, `buttonname`, `buttonimage`, `buttonorder`, `buttonvisibility`, `locale`, `fathermenu`, `menumaster`) VALUES (13, 'submit.php?stype=l', '', 'Invia Link', '', 1, 101, 'Italian', '12', '');";
$inf_insertdbrow_[14] = "pfmenu (`menu_id`, `buttonlink`, `buttontarget`, `buttonname`, `buttonimage`, `buttonorder`, `buttonvisibility`, `locale`, `fathermenu`, `menumaster`) VALUES (14, 'submit.php?stype=n', '', 'Invia News', '', 2, 101, 'Italian', '12', '');";
$inf_insertdbrow_[15] = "pfmenu (`menu_id`, `buttonlink`, `buttontarget`, `buttonname`, `buttonimage`, `buttonorder`, `buttonvisibility`, `locale`, `fathermenu`, `menumaster`) VALUES (15, 'submit.php?stype=a', '', 'Invia Articolo', '', 3, 101, 'Italian', '12', '');";
$inf_insertdbrow_[16] = "pfmenu (`menu_id`, `buttonlink`, `buttontarget`, `buttonname`, `buttonimage`, `buttonorder`, `buttonvisibility`, `locale`, `fathermenu`, `menumaster`) VALUES (16, 'submit.php?stype=p', '', 'Invia Foto', '', 4, 101, 'Italian', '12', '');";
?>